const ListViewAdapter = require('./ListViewAdapter');
cc.Class({
    extends: cc.Component,

    properties: {
        scrollView: cc.ScrollView,
        content: cc.Node,
        prefabRankItem: cc.Node,
        itemScriptName:'',
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        this.listAdapter = new ListViewAdapter(this.scrollView);

        this.users = [];


        this.mineScore = {
            name:"user"+i,
            rank:i+1,
            score:(100-i*2)
        };

        this.prefabRankItem.getComponent('RankItem').updateItem(this.mineScore,0);

        for(i=0;i<30;i++){
            this.user = {
                name:"user"+i,
                rank:i+1,
                score:(100-i*2)
            };

            this.users.push(this.user);
        }

        this.listAdapter.updateItems(this.users, this.prefabRankItem, this.itemScriptName);
    },

    start () {

    },

    update (dt) {
        if (this.listAdapter) {
            this.listAdapter.update(dt);
        }
    },
});
